Subject: [ipcdn] RE: New Version Notification - draft-ietf-ipcdn-docsisevent-mib-0 5.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 10 Jan 2005 20:22:57 +0100

I get:
  !! Missing citation for Normative reference:
  P039 L042:    [10]  SCTE Data Standards Subcommittee, "Data-Over-Cable Service

I could fix theat with an RFC-Editor note if you tell me where to insert the citation.

On page 37:
   It is RECOMMENDED that implementers consider the security features as
   provided by the SNMPv3 framework (see [RFC3410], section 8),
   including full support for the SNMPv3 cryptographic mechanisms (for
   authentication and privacy).
Causes:
  !! Missing Reference for citation: [RFC3410]
  P038 L017:    provided by the SNMPv3 framework (see [RFC3410], section 8),

I could fix that with an RFC-Editor note.

It makes me wonder if all references are in sync with the citations.
Someone, please check and send a positive acknowledgement that you HAVE checked
them all and that they are OK.

But I still see:
   docsDevCmNotifCompliance MODULE-COMPLIANCE
       STATUS current

       DESCRIPTION
       "The compliance statement for CM Notifications and Control"

       MODULE --docsDevNotif
       --mandatory groups

           GROUP docsDevCmNotifControlGroup
           DESCRIPTION
               "Mandatory in CM."

           GROUP docsDevCmNotificationGroup
           DESCRIPTION
               "Mandatory in CM."

       ::= { docsDevNotifCompliances 1 }

And I thought we had agreed that you would change it to:

   docsDevCmNotifCompliance MODULE-COMPLIANCE
       STATUS current

       DESCRIPTION
       "The compliance statement for CM Notifications and Control"

       MODULE --docsDevNotif
           MANDATORY-GROUPS {
               docsDevCmNotifControlGroup,
               docsDevCmNotificationGroup
           }
       ::= { docsDevNotifCompliances 1 }

What am I missing?

And also:
   docsDevCmtsNotifCompliance MODULE-COMPLIANCE
       STATUS current
       DESCRIPTION
           "The compliance statement for DOCSIS CM and CMTS."
       MODULE --docsDevNotif
       --mandatory groups

           GROUP docsDevCmtsNotifControlGroup
           DESCRIPTION
               "Mandatory in CMTS."

           GROUP docsDevCmtsNotificationGroup
           DESCRIPTION
               "Mandatory in CMTS."

       ::= { docsDevNotifCompliances 2 }

should be (possibly) be (but see my questions):

   docsDevCmtsNotifCompliance MODULE-COMPLIANCE
       STATUS current
       DESCRIPTION
           "The compliance statement for DOCSIS CM and CMTS."

bw asks: is it really for CM and CMTS or only for CMTS?

       MODULE --docsDevNotif
           MANDATORY-GROUPS {
               docsDevCmtsNotifControlGroup,
               docsDevCmtsNotificationGroup
           }
       ::= { docsDevNotifCompliances 2 }

if it is both for CM and CMTS, then you seem to be telling me that it is
optional for CM. So maybe this one should be just for CMTS (with just 
mandatory groups) and then the first MODULE-COMPLIANCE should have these
2 groups added as optional groups!?

If this is just for CMTS, then the DESCRIPTION clause should say so and then my 
suggested change is the proper way to specify it.

You have put this 
   Note that notifications are also under the control of the MIB modules
   defined in RFC 3413 [17].
In the security COnsiderations section. That is not a secuurity concern (I think).
Rather it is something to describe (I think) in the DESCRIPTION clauses of
docsDevCmNotifControl and docsDevCmtsNotifControl.

W.r.t. Persistency of the writable objects you have added:
        If the device is rebooted, the value of this object should revert
        to the default value.
which meets my concern. 
It is something however that you and the WG chairs may want to make sure that
the WG agrees with.

Bert
> -----Original Message-----
> From: Jean-Francois Mule [mailto:[email-masked]]
> Sent: Friday, January 07, 2005 19:19
> To: [email-masked]
> Cc: Richard Woundy @ Comcast; [email-masked];
> [email-masked]; [email-masked]
> Subject: RE: New Version Notification -
> draft-ietf-ipcdn-docsisevent-mib-05.txt
> 
> 
> Bert,
> 
>    Let us know what the next step is on this ID.
> 
> Thanks,
> Jean-François 
> 
> > -----Original Message-----
> > From: ID Tracker [mailto:[email-masked]] 
> > Sent: Friday, January 07, 2005 11:46 AM
> > To: Richard Woundy @ Comcast; [email-masked]; 
> > Jean-Francois Mule; [email-masked]; 
> > [email-masked]; [email-masked]
> > Subject: New Version Notification - 
> > draft-ietf-ipcdn-docsisevent-mib-05.txt
> > 
> > 
> > 
> > New version (-05) has been submitted for 
> > draft-ietf-ipcdn-docsisevent-mib-05.txt.
> > http://www.ietf.org/internet-drafts/draft-ietf-ipcdn-docsiseve
> nt-mib-05.txt
> 
> 
> 

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 11 Jan 2005 15:10:47 +0100

I still seee
   docsDevCmNotifControlGroup OBJECT-GROUP
       OBJECTS {
           docsDevCmNotifControl
       }
       STATUS current
       DESCRIPTION
           "CM must support docsDevCmNotifControl."
       ::= { docsDevNotifGroups 1 }

The "CM must support" is something that is normally not put in a OBJECT-GROUP 
statement. This statement is used to just "group" objects together that logically 
belong together. The "CM must..." is part of the "MANDATORY GROUPS" clause of
the MODULE-COMPLIANCE statement. So a better text for above would be:

   docsDevCmNotifControlGroup OBJECT-GROUP
       OBJECTS {
           docsDevCmNotifControl
       }
       STATUS current
       DESCRIPTION
           "This group represents objects to allow control over CM Notifications."
       ::= { docsDevNotifGroups 1 }

Same for: docsDevCmtsNotifControlGroup

Other then that it looks fine to me. 

Bert
> From: Nakanishi Greg-MGI8179 [mailto:[email-masked]]
> Sent: Tuesday, January 11, 2005 01:00
> To: 'Wijnen, Bert (Bert)'; Jean-Francois Mule
> [email-masked]; Ipcdn (E-mail)
> draft-ietf-ipcdn-docsisevent-mib-0 5.txt
> 
> 
> Burt,
> 
> Thanks for the review.
> 
> 1) I cross-checked all the citations with the references and 
> they are in synch now.
> 2) Compliance statement - My apologies.  You provided me with 
> this comment before the holidays and I neglected to 
> incorporate it.  It is in now.
> 3) I moved the text regarding RFC3413 from the Security 
> Considerations section to the appropriate MIB description clauses.
> 4) Regarding the persistency comment...  OK, I will post a 
> message to the WG and solicit feedback.
> 
> I've attached an update.
> 
> Thanks, greg
> 
> From: Wijnen, Bert (Bert) [mailto:[email-masked]] 
> Sent: Monday, January 10, 2005 11:23 AM
> To: Jean-Francois Mule
> [email-masked]; Nakanishi Greg-MGI8179; Ipcdn (E-mail)
> draft-ietf-ipcdn-docsisevent-mib-0 5.txt
> 
> 
> I get:
> It makes me wonder if all references are in sync with the 
> citations. Someone, please check and send a positive 
> acknowledgement that you HAVE checked them all and that they are OK.
> 
> But I still see:
> if it is both for CM and CMTS, then you seem to be telling me 
> that it is optional for CM. So maybe this one should be just 
> for CMTS (with just 
> mandatory groups) and then the first MODULE-COMPLIANCE should 
> have these 2 groups added as optional groups!?
> 
> In the security COnsiderations section. That is not a 
> secuurity concern (I think). Rather it is something to 
> describe (I think) in the DESCRIPTION clauses of 
> It is something however that you and the WG chairs may want 
> to make sure that the WG agrees with.
> 
> Bert

---

From: Nakanishi Greg-MGI8179 <[email-masked]>
Date: Tue, 11 Jan 2005 09:14:07 -0800

OK, will update.

Thanks, greg

-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:[email-masked]] 
Sent: Tuesday, January 11, 2005 6:11 AM
To: Nakanishi Greg-MGI8179; Jean-Francois Mule
Cc: Richard Woundy @ Comcast; [email-masked]; [email-masked]; Ipcdn (E-mail)
Subject: RE: New Version Notification - draft-ietf-ipcdn-docsisevent-mib-0 5.txt

I still seee

The "CM must support" is something that is normally not put in a OBJECT-GROUP 
statement. This statement is used to just "group" objects together that logically 
belong together. The "CM must..." is part of the "MANDATORY GROUPS" clause of the MODULE-COMPLIANCE statement. So a better text for above would be:

Bert